class Locmare.FilerModule.BodyModule.FileBodyModule.FileItemModule.CaptionItemColumnModule.DefaultModule.LinkFactory
  
  @types: () ->
    m = Locmare.FilerModule.BodyModule.FileBodyModule.FileItemModule.CaptionItemColumnModule.DefaultModule.LinkModule
    {
      'action': m.ActionLink, 
      'none': m.NoneLink, 
      'url_column': m.UrlColumnLink
    }
  
  @factory: (default_caption, my_manifest, item) ->
    type = my_manifest.type
    if not type
      ManifestBase.alert_message 'undefined type', "local view filers > #{default_caption.item_name} > caption > link\n"
    m = Locmare.FilerModule.BodyModule.FileBodyModule.FileItemModule.CaptionItemColumnModule.DefaultModule.LinkFactory
    my_class = m.types()[type]
    if not my_class
      ManifestBase.alert_message 'undefined class', "local view filers > #{default_caption.item_name} > caption > link > #{type}\n"
    new my_class({default_caption: default_caption, my_manifest: my_manifest, item: item})
  
class Locmare.FilerModule.BodyModule.FileBodyModule.FileItemModule.CaptionItemColumnModule.DefaultModule.LinkModule

