class ManifestBase.Base
  
  @load: (manifest, jsons, module_name, klass) -> 
    r = {}
    _.each jsons[module_name], (json, name) -> 
      r[name] = new klass(manifest, name, json, module_name)
    r
  
  set_default: () ->
    
  init: () ->
  
  module_names: () ->
    @manifest.module_names().concat([@module_name, @name])
  
  module_message: () ->
    ManifestBase.module_message(@module_names)
  
  constructor: (@manifest, @name, @json, @module_name) ->
    @set_default()
    @init()
  
