module LocalManifest
  module ListGroupModule
    module ListModule
      class FilterList < Base
        attr :filter_item_name, :filter_key
        
        def set_default
          super
          @args['filter_item_name'] ||= @name.gsub(/^by_/, '')
          @args['filter_key'] ||= @args['filter_item_name'] + '_id'
        end
        
        def init
          super
          @filter_item_name = @args['filter_item_name']
          @filter_key = @args['filter_key']
          @wheres.push('filter') unless @wheres.include?('filter')
        end
        
      end
    end
  end
end
