ManifestBase.require_modules "local_manifest/profiler/column/", 
  %w|base default date source extend json|

module LocalManifest
  module ProfilerModule
    class ColumnFactory < ManifestBase::Factory
      include ColumnModule
      
      def self.types
        {
          'default' => DefaultColumn, 'date' => DateColumn, 
          'source' => SourceColumn, 'extend' => ExtendColumn,
          'json' => JsonColumn
        }
      end
      
      def self.default_type
        'default'
      end
      
    end
  end
  
end

