require_dependency "locmare/dialog/body/file_body/file_item/button/base"
module Locmare
  module DialogModule
    module BodyModule
      module FileBodyModule
        module FileItemModule
          class ButtonItemColumnFactory
            include ButtonItemColumnModule
            @@types = {
              'default' => Default
            }
            def self.factory file_item, my_manifest, item
              type = my_manifest.type
              raise "undefined type for local view filers > #{file_item.item_name} > edit\n" unless type
              my_class = @@types[type]
              raise "undefined class for local view filers > #{file_item.item_name} > edit > #{type}\n" unless my_class
              my_class.new(file_item, my_manifest, item)
            end
            
          end
        end
      end
    end
  end
end
