module Manifest
  module ModelModule
    module AttributeModule
      module SourceModule
        class Base < ManifestBase::TypeArgs
          attr :has_translation
          
          def set_default
            super
          end
          
          def init
            super
          end
          
          def item_name
            @parent.item_name
          end
          
          def translate?
            @has_translation > 0
          end
          
        end
        
      end
    end
  end
end
