class PettanrWritingFormat
  @writing_formats = {}
  @renderers = {}
  
  @load = (div) ->
    $('div', div).map ->
      id = parseInt($(@).attr('writing_format_id'))
      engine_name = $(@).attr('writing_format_engine_name')
      PettanrWritingFormat.writing_formats[id] = engine_name
  
  @render = (writing_format, content) -> 
    engine_name = PettanrWritingFormat.writing_formats[writing_format]
    PettanrWritingFormat.renderers[engine_name].render(content)
  
  
@PettanrWritingFormat = PettanrWritingFormat
