class Locmare.FilerModule.BodyModule.FileBodyModule.FileItemModule.EditItemColumnModule.Default extends Locmare.FilerModule.BodyModule.FileBodyModule.FileItemModule.EditItemColumnModule.Base
  
  initialize: (options) ->
    super(options)
    @edit_button = @item.mini_edit_button({
      context: this, 
      click: () ->
        @trigger('http_get', @item.edit_url())
    })
    @destroy_button = @item.mini_destroy_button({
      context: this, 
      click: () ->
        @trigger('remove')
    })
  
  render: () ->
    this.$el.html('')
    if @is_own()
      this.$el.append(@edit_button.render().el)
      this.$el.append(@destroy_button.render().el)
    this
  
  is_own: () ->
    if @item.is_own(Pettanr.cache.operators)
      true
    else
      false
  
