class Locmare.FilerModule.BodyModule.FileHeader extends Pettanr.View
  tagName: 'li'
  
  initialize: (options) ->
    @body = options.body
    @symbol = new (@module().Show)({'file_header': this, 'column_name': 'symbol'})
    @caption = new (@module().Show)({'file_header': this, 'column_name': 'caption'})
    @summary = new (@module().Show)({'file_header': this, 'column_name': 'summary'})
    @icon = new (@module().Show)({'file_header': this, 'column_name': 'icon'})
    @date = new (@module().Show)({'file_header': this, 'column_name': 'date'})
    @edit = new (@module().Show)({'file_header': this, 'column_name': 'edit'})
    @el.className = 'filer-head filer-head-' + @item_name()
  
  render: () ->
    this.$el.html('')
    this.$el.append(@pick.render().el) if @pick
    this.$el.append(@symbol.render().el) if @manifest().symbol.is_visible()
    this.$el.append(@caption.render().el) if @manifest().caption.is_visible()
    this.$el.append(@summary.render().el) if @manifest().summary.is_visible()
    this.$el.append(@icon.render().el) if @manifest().icon.is_visible()
    this.$el.append(@date.render().el) if @manifest().date.is_visible()
    this.$el.append(@edit.render().el) if @manifest().edit.is_visible()
    this
  
  add_pick: (target_mode) ->
    @pick = new (@module().Show)({'file_header': this, 'column_name': 'pick'})
    @render()
  
  filer: () ->
    @body.filer
  
  manifest: () ->
    @filer().manifest
  
  item_name: () ->
    @filer().item_name
  
  model: () ->
    @filer.model()
  
  items: () ->
    @filer.items
  
  module: () ->
    Locmare.FilerModule.BodyModule.FileHeaderModule
  
class Locmare.FilerModule.BodyModule.FileHeaderModule

