class Pettanr.Views.Picture.History extends Pettanr.View
  tagName: 'div'
  
  constructor: (@item, options) ->
    super(options)
  
  initialize: (options) ->
    super(options)
  
  render: () ->
    this.$el.html('')
    r = new Pettanr.View.Button(@item.show_url(), @item.get('revision'), {
      context: this, 
      click: () =>
        @trigger('http_get', @item.show_url())
    })
    h = new Tag.H3({
      content: Pettanr.AppHelper.t_m('Picture.revision') + ':'
    })
    d = new Tag.Div({
      content: Pettanr.AppHelper.t_m('Picture.created_at') + ':' + @item.get('created_at')
    })
    this.$el.append(h.render().el)
    h.$el.append(r.render().el)
    this.$el.append(d.render().el)
    @add_credit(@item)
    this
  
  click_credit_icon: () ->
    @trigger('http_get', @item.show_url())
  
  add_credit: (picture, options = {icon: true}) ->
    credit = new Pettanr.View.Credit(picture, options)
    this.$el.append(credit.render().el)
    @listenTo(credit, 'click:icon', @click_credit_icon)
    @append_rb()
  
