# page header for guest
class Pettanr.Views.User.Guest extends Pettanr.View
  tagName: 'div'
  className: 'account'
  
  initialize: (options) ->
    super(options)
  
  render: () ->
    this.$el.html('')
    @logo = new Pettanr.View.Layout.Logo({
      context: this, 
      click: () ->
        @trigger('http_get', '')
    })
    @sign_in_button = new Pettanr.View.Button('/users/sign_in', 'sign in', {
      context: this, 
      class_name: 'sign_in', 
      click: () ->
        @trigger('http_get', 'user_sessions/new')
    })
    this.$el.append(@logo.render().el)
    this.$el.append(@sign_in_button.render().el)
    this
  
