module Editor
  module EditorModule
    class DockBase
      attr_accessor :parent, :tabs
      def initialize parent
        @parent = parent
        @tabs = []
      end
      
      def add_tab tab, label, body
        @tabs << tab
        tab.label = label
        tab.body = body
        tab
      end
      
      def root_item
        @parent.root_item
      end
      
      def template_dir
        @parent.template_dir
      end
      
      def template_file_name
        raise "no template_file_name"
      end
      
      def template_name
        self.template_dir + self.template_file_name
      end
      
    end
    
  end
end
