ManifestBase.require_modules "local_manifest/list_group/list/includes/", 
  %w|base method auto none|

module LocalManifest
  module ListGroupModule
    module ListModule
      class IncludeFactory < ManifestBase::Factory
        include IncludeModule
        
        def self.types
          {
            'method' => IncludeMethod, 'auto' => IncludeAuto, 'none' => IncludeNone
          }
        end
        
        def self.default_type
          'auto'
        end
        
      end
    end
  end
end
