class BoostValidator < ActiveModel::EachValidator
  def validate_each(record, attribute, value)
    rec = record.boosters[options[:boost_name].to_s].extend_item
    msg = options[:message] || I18n.t('activerecord.errors.messages.extend_settings')
    record.errors[attribute] << msg unless rec.valid?
  end
end

