# -*- encoding: utf-8 -*-
FactoryGirl.define do
  factory :speech_balloon_template_circle, :class => SpeechBalloonTemplate do |i|
    i.name 'circle@pettan.com'
    i.module_name 'CircleSpeechBalloon'
    i.caption '楕円'
    i.t 0
    trait :with_system_picture do
      after(:build) do |speech_balloon_template, evaluator|
        icon = SystemPicture.find_by_md5('ca30a88b2e03bd149860325d5f3770a7') || 
          create(:system_picture_circle_icon)
        speech_balloon_template.system_picture_id = icon.id
        balloon0 = SystemPicture.find_by_md5('67d7c8acd3c52cb6e9abf7deb23be11d') || 
          create(:system_picture_circle_balloon_0)
        balloon1 = SystemPicture.find_by_md5('58634a962f2126d6bc9119e843a07ed9') || 
          create(:system_picture_circle_balloon_1)
        balloon2 = SystemPicture.find_by_md5('3e0d2528d0b58fb32414593a04daa7b3') || 
          create(:system_picture_circle_balloon_2)
        balloon3 = SystemPicture.find_by_md5('dd3590336d7b69f2e85fc0c1b629d64a') || 
          create(:system_picture_circle_balloon_3)
        balloon4 = SystemPicture.find_by_md5('a04f3ea06f95e33358ac57645031512d') || 
          create(:system_picture_circle_balloon_4)
        balloon5 = SystemPicture.find_by_md5('d76cf38c3de4df74ae9f8bc76911a5a9') || 
          create(:system_picture_circle_balloon_5)
        balloon6 = SystemPicture.find_by_md5('51974b0cc1d0283be6cda04114927dc5') || 
          create(:system_picture_circle_balloon_6)
        balloon7 = SystemPicture.find_by_md5('68af2004a103a389d2c83b2cfcd98b22') || 
          create(:system_picture_circle_balloon_7)
        balloon8 = SystemPicture.find_by_md5('9feac91d55ef144bad8389ee4f0751ac') || 
          create(:system_picture_circle_balloon_8)
        balloon9 = SystemPicture.find_by_md5('50fb44750f5506cc9ed0783d92f58f00') || 
          create(:system_picture_circle_balloon_9)
        balloon10 = SystemPicture.find_by_md5('bb65ca8d549401f6cc0bd6228cf6b79b') || 
          create(:system_picture_circle_balloon_10)
        balloon11 = SystemPicture.find_by_md5('a6d32cb9218abc587fa732a21c94883e') || 
          create(:system_picture_circle_balloon_11)
        balloon12 = SystemPicture.find_by_md5('b0aba72c940b80e9e32b87bd48ca2635') || 
          create(:system_picture_circle_balloon_12)
        balloon13 = SystemPicture.find_by_md5('b886601235032b7006c23ba8bf309f74') || 
          create(:system_picture_circle_balloon_13)
        balloon14 = SystemPicture.find_by_md5('e98e6b7bba74f8d166f0f69303b14a19') || 
          create(:system_picture_circle_balloon_14)
        balloon15 = SystemPicture.find_by_md5('6756b435ba777f66dfea8e34d2e94567') || 
          create(:system_picture_circle_balloon_15)
        speech_balloon_template.settings = {
          "speech_balloon" => {
            "quotes" => "\u300c \u300d \u300e \u300f",
            "default_width" => 200,
            "default_height" => 200,
            "default_font_size" => 1.0,
            "default_text_align" => 0,
            "default_fore_color" => 0,
            "default_r" => 140,
            "r_step" => 22.5
          },
          "0" => {
            "balloon" => {
              "system_picture_id" => balloon0.id
            },
            "speech" => {
              "x_rate" => 20,
              "y_rate" => 20,
              "width_rate" => 60,
              "height_rate" => 60
            }
          },
          "1" => {
            "balloon" => {
              "system_picture_id" => balloon1.id
            },
            "speech" => {
              "x_rate" => 20,
              "y_rate" => 20,
              "width_rate" => 60,
              "height_rate" => 60
            }
          },
          "2" => {
            "balloon" => {
              "system_picture_id" => balloon2.id
            },
            "speech" => {
              "x_rate" => 20,
              "y_rate" => 20,
              "width_rate" => 60,
              "height_rate" => 60
            }
          },
          "3" => {
            "balloon" => {
              "system_picture_id" => balloon3.id
            },
            "speech" => {
              "x_rate" => 20,
              "y_rate" => 20,
              "width_rate" => 60,
              "height_rate" => 60
            }
          },
          "4" => {
            "balloon" => {
              "system_picture_id" => balloon4.id
            },
            "speech" => {
              "x_rate" => 20,
              "y_rate" => 20,
              "width_rate" => 60,
              "height_rate" => 60
            }
          },
          "5" => {
            "balloon" => {
              "system_picture_id" => balloon5.id
            },
            "speech" => {
              "x_rate" => 20,
              "y_rate" => 20,
              "width_rate" => 60,
              "height_rate" => 60
            }
          },
          "6" => {
            "balloon" => {
              "system_picture_id" => balloon6.id
            },
            "speech" => {
              "x_rate" => 20,
              "y_rate" => 20,
              "width_rate" => 60,
              "height_rate" => 60
            }
          },
          "7" => {
            "balloon" => {
              "system_picture_id" => balloon7.id
            },
            "speech" => {
              "x_rate" => 20,
              "y_rate" => 20,
              "width_rate" => 60,
              "height_rate" => 60
            }
          },
          "8" => {
            "balloon" => {
              "system_picture_id" => balloon8.id
            },
            "speech" => {
              "x_rate" => 20,
              "y_rate" => 20,
              "width_rate" => 60,
              "height_rate" => 60
            }
          },
          "9" => {
            "balloon" => {
              "system_picture_id" => balloon9.id
            },
            "speech" => {
              "x_rate" => 20,
              "y_rate" => 20,
              "width_rate" => 60,
              "height_rate" => 60
            }
          },
          "10" => {
            "balloon" => {
              "system_picture_id" => balloon10.id
            },
            "speech" => {
              "x_rate" => 20,
              "y_rate" => 20,
              "width_rate" => 60,
              "height_rate" => 60
            }
          },
          "11" => {
            "balloon" => {
              "system_picture_id" => balloon11.id
            },
            "speech" => {
              "x_rate" => 20,
              "y_rate" => 20,
              "width_rate" => 60,
              "height_rate" => 60
            }
          },
          "12" => {
            "balloon" => {
              "system_picture_id" => balloon12.id
            },
            "speech" => {
              "x_rate" => 20,
              "y_rate" => 20,
              "width_rate" => 60,
              "height_rate" => 60
            }
          },
          "13" => {
            "balloon" => {
              "system_picture_id" => balloon13.id
            },
            "speech" => {
              "x_rate" => 20,
              "y_rate" => 20,
              "width_rate" => 60,
              "height_rate" => 60
            }
          },
          "14" => {
            "balloon" => {
              "system_picture_id" => balloon14.id
            },
            "speech" => {
              "x_rate" => 20,
              "y_rate" => 20,
              "width_rate" => 60,
              "height_rate" => 60
            }
          },
          "15" => {
            "balloon" => {
              "system_picture_id" => balloon15.id
            },
            "speech" => {
              "x_rate" => 20,
              "y_rate" => 20,
              "width_rate" => 60,
              "height_rate" => 60
            }
          }
        }.to_json
      end
    end
    factory :speech_balloon_template_circle_with_system_picture, traits: [:with_system_picture]
  end
  factory :speech_balloon_template_plain, :class => SpeechBalloonTemplate do |i|
    i.name 'plain@pettan.com'
    i.module_name 'PlainSpeechBalloon'
    i.caption '透明'
    i.t 1
    trait :with_system_picture do
      after(:build) do |speech_balloon_template, evaluator|
        icon = SystemPicture.find_by_md5('d6b95a015cafe40f05f0a26b4ac3c51e') || 
          create(:system_picture_plain_icon)
        speech_balloon_template.system_picture_id = icon.id
        balloon0 = SystemPicture.find_by_md5('8197e42069aab7d15983425e6c121503') || 
          create(:system_picture_plain_balloon_0)
        speech_balloon_template.settings = {
          "speech_balloon" => {
            "quotes" => "\u300c \u300d \u300e \u300f",
            "default_width" => 150,
            "default_height" => 150,
            "default_font_size" => 1.0,
            "default_text_align" => 0,
            "default_fore_color" => 0
          },
          "all" => {
            "balloon" => {
              "system_picture_id" => balloon0.id
            },
            "speech" => {
              "x_rate" => 0,
              "y_rate" => 0,
              "width_rate" => 100,
              "height_rate" => 100
            }
          }
        }.to_json
      end
    end
    factory :speech_balloon_template_plain_with_system_picture, traits: [:with_system_picture]
  end
  factory :speech_balloon_template_square, :class => SpeechBalloonTemplate do |i|
    i.name 'square@pettan.com'
    i.module_name 'SquareSpeechBalloon'
    i.caption '長方形'
    i.t 2
    trait :with_system_picture do
      after(:build) do |speech_balloon_template, evaluator|
        icon = SystemPicture.find_by_md5('6f683574166286bb65d8ffa25a0af17f') || 
          create(:system_picture_square_icon)
        speech_balloon_template.system_picture_id = icon.id
        balloon0 = SystemPicture.find_by_md5('8159134d0af4b24ef21f30048f018ab1') || 
          create(:system_picture_square_balloon_0)
        speech_balloon_template.settings = {
          "speech_balloon" => {
            "quotes" => "\u300c \u300d \u300e \u300f",
            "default_width" => 150,
            "default_height" => 150,
            "default_font_size" => 1.0,
            "default_text_align" => 3,
            "default_fore_color" => 0
          },
          "all" => {
            "balloon" => {
              "system_picture_id" => balloon0.id
            },
            "speech" => {
              "x_rate" => 5,
              "y_rate" => 5,
              "width_rate" => 90,
              "height_rate" => 90
            }
          }
        }.to_json
      end
    end
    factory :speech_balloon_template_square_with_system_picture, traits: [:with_system_picture]
  end
  factory :speech_balloon_template_test, :class => SpeechBalloonTemplate do |i|
    i.name 'test@pettan.com'
    i.module_name 'TestSpeechBalloon'
    i.caption 'テスト'
    i.t 3
    trait :with_system_picture do
      after(:build) do |speech_balloon_template, evaluator|
        icon = SystemPicture.find_by_md5('a33a8a440701a6d3d68bc4df4687ab6d') || 
          create(:system_picture_test_icon)
        speech_balloon_template.system_picture_id = icon.id
        balloon0 = SystemPicture.find_by_md5('604a977cf756a4e8b2b74d05c3d647d2') || 
          create(:system_picture_test_balloon_0)
        speech_balloon_template.settings = {
          "speech_balloon" => {
            "quotes" => "\u300c \u300d \u300e \u300f",
            "default_width" => 150,
            "default_height" => 150,
            "default_font_size" => 1.0,
            "default_text_align" => 3,
            "default_fore_color" => 0
          },
          "all" => {
            "balloon" => {
              "system_picture_id" => balloon0.id
            },
            "speech" => {
              "x_rate" => 5,
              "y_rate" => 5,
              "width_rate" => 90,
              "height_rate" => 90
            }
          }
        }.to_json
      end
    end
    factory :speech_balloon_template_test_with_system_picture, traits: [:with_system_picture]
  end
end
